# ArcPy サイト パッケージをインポート
import arcpy

# 空の Point & Array オブジェクトを作成
point = arcpy.Point()
array = arcpy.Array()

# Polyline の各頂点の XY 座標値としたい値のリストを作成
coordList = [[100, 200], [200, 400], [300, 700], [600, 800], [500, 700]]

# リストから XY 座標値を抽出し、作成した Point オブジェクトの座標値に割り当てる
for coord in coordList:
    point.X = coord[0]
    point.Y = coord[1]
    # Point オブジェクトを Array オブジェクトに追加
    array.add(point)

# Array オブジェクトを Polyline クラスの引数に格納
polyline = arcpy.Polyline(array)

# 作成した Polyline の長さを確認
print(polyline.length)

